<?php

namespace Pinpoint\SortByPrice\Observer;

use Magento\Framework\Event\ObserverInterface;
use Pinpoint\SortByPrice\Helper\Data;

/**
 * Class AddPriceSortOption
 * @package Pinpoint\SortByPrice\Observer
 */
class AddPriceSortOption implements ObserverInterface
{
    protected $toolbar;

    /**
     * AddPriceSortOption constructor.
     * @param \Magento\Catalog\Block\Product\ProductList\Toolbar $toolbar
     */
    public function __construct(\Magento\Catalog\Block\Product\ProductList\Toolbar $toolbar)
    {
        $this->toolbar = $toolbar;
    }

    /**
     * @param \Magento\Framework\Event\Observer $observer
     * @return $this|void
     */
    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        /** @var \Magento\Catalog\Model\ResourceModel\Product\Collection $collection */
        $collection = $observer->getEvent()->getCollection();

        $currentOrder = $this->toolbar->getCurrentOrder();

        $isPriceSortSet = $this->toolbar->getData('is_price_sort_set');

        if ($currentOrder && !$isPriceSortSet) {
            if ($currentOrder === Data::HIGH_TO_LOW) {
                $this->toolbar->setData('is_price_sort_set', true);
                $collection->unshiftOrder(Data::PRICE, \Magento\Framework\Api\SortOrder::SORT_DESC);
            } elseif ($currentOrder === Data::LOW_TO_HIGH) {
                $this->toolbar->setData('is_price_sort_set', true);
                $collection->unshiftOrder(Data::PRICE, \Magento\Framework\Api\SortOrder::SORT_ASC);
            }
        }

        return $this;
    }
}
