<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Config
 * @package Pinpoint\SortByPrice\Plugin\Catalog\Model;
 */

namespace Pinpoint\SortByPrice\Plugin\Catalog\Model;
use Pinpoint\SortByPrice\Helper\Data;
class Config
{
    /**
     * @param \Magento\Catalog\Model\Config $catalogConfig
     * @param $options
     * @return mixed
     */
    public function afterGetAttributeUsedForSortByArray(\Magento\Catalog\Model\Config $catalogConfig, $options)
    {
        // Removing Magento price attribute if exists
        if (isset($options[Data::PRICE])) {
            unset($options[Data::PRICE]);
        }
        $options[Data::LOW_TO_HIGH] = __('Price - Low To High');
        $options[Data::HIGH_TO_LOW] = __('Price - High To Low');
        return $options;
    }
}
